
function [loc,mag,angoli] = peaks(PSSP,x)
%
% individua i massimi locali di x
% ritorna le ampiezze dei massimi    
% e a quali angoli di azimuth corrispondono

b = zeros(length(PSSP));

for i = 2:length(PSSP)-1

	if ( (PSSP(i) >= PSSP(i-1)) & (PSSP(i) >= PSSP(i+1)) & ( PSSP(i) ~= PSSP(i+1) ) )
		b(i) = 1;
	end 

end 

loc = find(b==1);
mag = PSSP(loc);
angoli=x(loc);
                 