function [punti,DOA]=picchiTRmusicUWBPSD(m,d,X,f_tap,f_centrale,Pn,ind_sens_DOA,tau,zmin,val_x_ini)
% tau = vettore di dimensione pari ad f_tap contenete le potenze 
%       dei segnali UWB per ogni frequenza considerata.

[D,PSSP]=TRmusicUWBPSD(m,d,X,f_tap,f_centrale,tau,Pn,val_x_ini,zmin);

[righe,colonne]=size(X);

punti=zeros(d,d);

c=3e8;

passo=(c/max(f_tap))/4;

for i=1:righe
    
    C=max(max(PSSP));
    
    [r,c]=find(PSSP==C);
    
    x=r*passo;
    
    z=c*passo+zmin;
    
    punti(i,:)=[x z];
    
    PSSP(r,c)=-Inf;
    
end

Rmatr=creaRmatrUWB(m,f_centrale,val_x_ini);

[u,j]=size(punti);


for k=1:u
    
    d(k) = distance(Rmatr(ind_sens_DOA,:),punti(k,:));
    
    DOA(k)=asind(punti(k,2)/d(k));
    
end